%define anolis_release 3
%define abidir %{_prefix}/lib/compatibility/%{name}

Summary: A library for editing typed command lines
Name: readline
Version: 8.1
Release: %{anolis_release}%{?dist}
License: GPLv3+
URL: https://tiswww.case.edu/php/chet/readline/rltop.html
Source: ftp://ftp.gnu.org/gnu/readline/readline-%{version}.tar.gz

# Other patches
# Remove RPATH, use CFLAGS
Patch101: readline-8.0-shlib.patch

BuildRequires: gcc
BuildRequires: ncurses-devel
BuildRequires: abi-dumper

%description
The Readline library provides a set of functions that allow users to
edit command lines. Both Emacs and vi editing modes are available. The
Readline library includes additional functions for maintaining a list
of previously-entered command lines for recalling or editing those
lines, and for performing csh-like history expansion on previous
commands.

%package devel
Summary: Files needed to develop programs which use the readline library
Requires: %{name} = %{version}-%{release}

%description devel
The Readline library provides a set of functions that allow users to
edit typed command lines. If you want to develop programs that will
use the readline library, you need to have the readline-devel package
installed. You also need to have the readline package installed.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name}-devel = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package static
Summary: Static libraries for the readline library
Requires: %{name}-devel = %{version}-%{release}

%description static
The readline-static package contains the static version of the readline
library.

%prep
%autosetup -p1

%build
%configure --with-curses --disable-install-examples
%make_build

%install
%make_install

rm -vrf %{buildroot}%{_docdir}/readline
rm -vf %{buildroot}%{_infodir}/dir*

mkdir -p %{buildroot}/%{abidir}
pushd %{buildroot}/%{abidir}
for full_name in $(find %{buildroot} -name "*.so*") ; do
        f=`echo ${full_name##*/}`
        (file $full_name | grep "shared object" > /dev/null 2>&1 && abi-dumper $full_name -o $f.dump > /dev/null 2>&1) || echo "ok"
done
popd

%ldconfig_scriptlets

%files
%license COPYING USAGE
%{_libdir}/libreadline.so.*
%{_libdir}/libhistory.so.*
%{abidir}/libreadline.so.*.dump
%{abidir}//libhistory.so.*.dump
%{_infodir}/history.info*
%{_infodir}/rluserman.info*

%files devel
%doc examples/*.c examples/*.h examples/rlfe
%{_includedir}/readline/
%{_libdir}/libreadline.so
%{_libdir}/libhistory.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/readline.3*
%{_mandir}/man3/history.3*
%{_infodir}/readline.info*

%files doc
%doc CHANGES NEWS README

%files static
%{_libdir}/libreadline.a
%{_libdir}/libhistory.a

%changelog
* Thu Oct 13 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 8.1-3
- add abi

* Thu Sep 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 8.1-2
- add doc package

* Tue Mar 08 2022 Renbo <rb01097748@alibaba-inc.com> - 8.1-1
- Init for Anolis OS 23
